CREATE TABLE her_curric_element_group_tl (
    CURRICULUM_ELEMENT_GROUP_ID    NUMBER(18, 0) ,
    LANGUAGE                       VARCHAR2(16)  ,
    SOURCE_LANG                    VARCHAR2(16)      NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ELEMENT_GROUP_NAME             VARCHAR2(200)     NOT NULL,
    ELEMENT_GROUP_DESCRIPTION      VARCHAR2(1000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    CURRICULUM_ELEMENT_GROUP_ID    NUMBER(18, 0) ,
    LANGUAGE                       VARCHAR2(16)  ,
    SOURCE_LANG                    VARCHAR2(16)      NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ELEMENT_GROUP_NAME             VARCHAR2(200)     NOT NULL,
    ELEMENT_GROUP_DESCRIPTION      VARCHAR2(1000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    CONSTRAINT pk_her_curric_element_group_tl PRIMARY KEY (CURRICULUM_ELEMENT_GROUP_ID, LANGUAGE, CURRICULUM_ELEMENT_GROUP_ID, LANGUAGE)
);
